Appearance
GET
/communication/template-text/template-texts/{id}/fieldsRequired scope:
templatetext:readReturns the field catalogue (available {token} placeholders) for a template, split into scalars and row-level fields. Labels are in English.
Response ​
The response contains the field catalogue.
JSON
{
"templateCode": "order-confirmation",
"populateSource": 0,
"scalars": [
{
"key": "customerName",
"label": "Customer name"
}
],
"rows": [
{
"key": "customerName",
"label": "Customer name"
}
]
}
| Error code | Description |
|---|---|
template-not-found | No template with the given code exists for the current company. |